#!/bin/ksh

while [ $# -ne 0 ]
do
    case $1 in
        -adm_srv_ip*)
            ADMIN_SERVER_IPADDRESS=$2
            ;;
        -scan_grp*)
            SCAN_GROUP=$2
            ;;    
    esac
    shift 1; shift 1
done

os=`uname` 

echo "OS is $os"

case $os in
  AIX)
      command="gunzip -df SetupILMTAgent-AIX.tar.gz"
      echo "executing $command"
      rc=`$command`
      echo "Result from gunzip command: $rc"
      echo "Return code from gunzip command: $?"
      command="tar -xvf SetupILMTAgent-AIX.tar "
      echo "executing $command"
      rc=`$command`
      echo "Result from tar command: $rc"
      echo "Return code from tar command: $?"
  ;;
  Linux)
      command="unzip -o SetupILMTAgent-Linux.zip"
      echo "executing $command"
      rc=`$command`
      echo "Result from unzip command: $rc"
      echo "Return code from unzip command: $?"
  ;;
  SunOS)
      echo "This platform is not supported."
  ;;
  HP-UX)
      echo "This platform is not supported."
  ;;
  OS/390)
      echo "This platform is not supported."
  ;;
esac

chmod +x ./SetupILMTAgent.sh
echo "executing SetupILMTAgent.sh"
./SetupILMTAgent.sh -adm_srv_ip "$ADMIN_SERVER_IPADDRESS" -scan_grp "$SCAN_GROUP"
echo "Return code from SetupILMTAgent.sh command: $?"

POST_UPDATE_SCRIPT="/var/adm/ibm/virtualimage/updateILMTAgentConfiguration.sh"

if [ -e "$POST_UPDATE_SCRIPT" ] ; then
   echo "Found $POST_UPDATE_SCRIPT"
   command="sh $POST_UPDATE_SCRIPT"
   echo "executing $command"
   rc=`$command`
   echo "Result from $POST_UPDATE_SCRIPT command: $rc"
   echo "Return code from $POST_UPDATE_SCRIPT command: $?"
fi

rm -fr /tmp/agent/
