#!/bin/ksh

installer="ILMT-TAD4D-agent-7.2.1-aix-ppc"
temp_dir=`pwd`
install_dir="$temp_dir/"
conf_file="ILMT_TAD4D_7.2.1_agentInstall_response.txt"

while [ $# -ne 0 ]
do
    case $1 in
        -adm_srv_ip*)
            adm_srv_ip=$2
            ;;
        -scan_grp*)
            scan_grp=$2
            ;;
	
    esac
    shift 2
done


if [ ! -d $install_dir ] ; then
	echo "No install dir! Exit"
	exit 1
fi

cd $install_dir

if [ ! -e $conf_file ] ; then
	echo "No response file! Exit"
	exit 1
fi


# First, update administrative server ip if it is defined
if [ ! -z "$adm_srv_ip" ] ; then
    sed -e "s/^MessageHandlerAddress=.*/MessageHandlerAddress=$adm_srv_ip/g" $conf_file > new_ILMT_TAD4D_72_agentInstall_response.txt
    mv new_ILMT_TAD4D_72_agentInstall_response.txt $conf_file
fi

# Then, update scan group if it is defined
if [ ! -z "$scan_grp" ] ; then
    sed -e "s/^ScanGroup=.*/ScanGroup=$scan_grp/g" $conf_file > new_ILMT_TAD4D_72_agentInstall_response.txt
    mv new_ILMT_TAD4D_72_agentInstall_response.txt $conf_file
fi

# Install ILMT in silent mode
if [ ! -e $installer ] ; then
	echo "No installer! Exit"
	exit 1
fi

if [ "$LC_ALL" = "" ] ; then
    echo "LC_ALL=C" >> /etc/environment
fi

export LMT_RESPONSE_FILE_PATH=$install_dir$conf_file
installp -acgXd $installer ILMT-TAD4D-agent
